Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Interface IPluginRegistry

Deprecated. The plug-in registry has been generalized in Eclipse 3.0. It is now the `IExtensionRegistry`. Most of the `IPluginRegistry` function is directly supported on the new interface without change. Most clients of `IPluginRegistry` need only to change their references to use `IExtensionRegistry`. The only exceptions are methods that return `IPluginDescriptor`s. See the relevant method comments for details.

This interface must only be used by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in.

    public interface IPluginRegistry

The plug-in registry holds the master list of all discovered plug-ins, extension points, and extensions.

The plug-in registry can be queried, by name, for plug-ins, extension points, and extensions.

Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IConfigurationElement[]` `getConfigurationElementsFor(String extensionPointId)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String)`.
`IConfigurationElement[]` `getConfigurationElementsFor(String pluginId, String extensionPointName)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String)`.
`IConfigurationElement[]` `getConfigurationElementsFor(String pluginId, String extensionPointName, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String, String)`.
`IExtension` `getExtension(String extensionPointId, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String)`.
`IExtension` `getExtension(String pluginId, String extensionPointName, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String, String)`.
`IExtensionPoint` `getExtensionPoint(String extensionPointId)` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String)`.
`IExtensionPoint` `getExtensionPoint(String pluginId, String extensionPointName)` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String, String)`.
`IExtensionPoint[]` `getExtensionPoints()` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoints()`.
`IPluginDescriptor` `getPluginDescriptor(String pluginId)` Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptor()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.
`IPluginDescriptor` `getPluginDescriptor(String pluginId, PluginVersionIdentifier version)` Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptor()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.
`IPluginDescriptor[]` `getPluginDescriptors()` Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptors()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.
`IPluginDescriptor[]` `getPluginDescriptors(String pluginId)` Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptors()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.

Method Detail

### getConfigurationElementsFor

    IConfigurationElement[] getConfigurationElementsFor(String extensionPointId)

  Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String)`.

  Returns all configuration elements from all extensions configured into the identified extension point. Returns an empty array if the extension point does not exist, has no extensions configured, or none of the extensions contain configuration elements.

  Parameters:
    `extensionPointId` - the unique identifier of the extension point (e.g. `"org.eclipse.core.resources.builders"`)
  Returns:
    the configuration elements

### getConfigurationElementsFor

    IConfigurationElement[] getConfigurationElementsFor(String pluginId,
                                                        String extensionPointName)

  Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String)`.

  Returns all configuration elements from all extensions configured into the identified extension point. Returns an empty array if the extension point does not exist, has no extensions configured, or none of the extensions contain configuration elements.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`)
    `extensionPointName` - the simple identifier of the extension point (e.g. `"builders"`)
  Returns:
    the configuration elements

### getConfigurationElementsFor

    IConfigurationElement[] getConfigurationElementsFor(String pluginId,
                                                        String extensionPointName,
                                                        String extensionId)

  Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String, String)`.

  Returns all configuration elements from the identified extension. Returns an empty array if the extension does not exist or contains no configuration elements.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`)
    `extensionPointName` - the simple identifier of the extension point (e.g. `"builders"`)
    `extensionId` - the unique identifier of the extension (e.g. `"com.example.acme.coolbuilder`)
  Returns:
    the configuration elements

### getExtension

    IExtension getExtension(String extensionPointId,
                            String extensionId)

  Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String)`.

  Returns the specified extension in this plug-in registry, or `null` if there is no such extension. The first parameter identifies the extension point, and the second parameter identifies an extension plugged in to that extension point.

  Parameters:
    `extensionPointId` - the unique identifier of the extension point (e.g. `"org.eclipse.core.resources.builders"`)
    `extensionId` - the unique identifier of the extension (e.g. `"com.example.acme.coolbuilder"`)
  Returns:
    the extension, or `null`

### getExtension

    IExtension getExtension(String pluginId,
                            String extensionPointName,
                            String extensionId)

  Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String, String)`.

  Returns the specified extension in this plug-in registry, or `null` if there is no such extension. The first two parameters identify the extension point, and the third parameter identifies an extension plugged in to that extension point.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`)
    `extensionPointName` - the simple identifier of the extension point (e.g. `"builders"`)
    `extensionId` - the unique identifier of the extension (e.g. `"com.example.acme.coolbuilder"`)
  Returns:
    the extension, or `null`

### getExtensionPoint

    IExtensionPoint getExtensionPoint(String extensionPointId)

  Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String)`.

  Returns the extension point with the given extension point identifier in this plug-in registry, or `null` if there is no such extension point.

  Parameters:
    `extensionPointId` - the unique identifier of the extension point (e.g., `"org.eclipse.core.resources.builders"`)
  Returns:
    the extension point, or `null`

### getExtensionPoint

    IExtensionPoint getExtensionPoint(String pluginId,
                                      String extensionPointName)

  Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String, String)`.

  Returns the extension point in this plug-in registry with the given plug-in identifier and extension point simple identifier, or `null` if there is no such extension point.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`)
    `extensionPointName` - the simple identifier of the extension point (e.g. `" builders"`)
  Returns:
    the extension point, or `null`

### getExtensionPoints

    IExtensionPoint[] getExtensionPoints()

  Deprecated. Replaced by `IExtensionRegistry.getExtensionPoints()`.

  Returns all extension points known to this plug-in registry. Returns an empty array if there are no extension points.

  Returns:
    the extension points known to this plug-in registry

### getPluginDescriptor

    IPluginDescriptor getPluginDescriptor(String pluginId)

  Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptor()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.

  Returns the plug-in descriptor with the given plug-in identifier in this plug-in registry, or `null` if there is no such plug-in. If there are multiple versions of the identified plug-in, one will be non-deterministically chosen and returned.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"com.example.acme"`).
  Returns:
    the plug-in descriptor, or `null`

### getPluginDescriptor

    IPluginDescriptor getPluginDescriptor(String pluginId,
                                          PluginVersionIdentifier version)

  Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptor()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.

  Returns the plug-in descriptor with the given plug-in identifier and version in this plug-in registry, or `null` if there is no such plug-in.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`)
    `version` - plug-in version identifier. If `null` is specified, a non-deterministically chosen version of the identified plug-in (if any) will be returned
  Returns:
    the plug-in descriptor, or `null`

### getPluginDescriptors

    IPluginDescriptor[] getPluginDescriptors()

  Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptors()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.

  Returns all plug-in descriptors known to this plug-in registry. Returns an empty array if there are no installed plug-ins.

  Returns:
    the plug-in descriptors known to this plug-in registry

### getPluginDescriptors

    IPluginDescriptor[] getPluginDescriptors(String pluginId)

  Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptors()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.

  Returns all versions of the identified plug-in descriptor known to this plug-in registry. Returns an empty array if there are no plug-ins with the specified identifier.

  Parameters:
    `pluginId` - the unique identifier of the plug-in (e.g. `"org.eclipse.core.resources"`).
  Returns:
    the plug-in descriptors known to this plug-in registry

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.